<div style="height: calc(100% - 41px)" class="overflow-scroll">
    <div id="carouselExampleDark" class="carousel carousel-dark slide" data-bs-ride="carousel">
        <div class="carousel-indicators">
            {% for i in monument.images %}
                <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="{{ loop.index0 }}"
                        class="{{ loop.index0 == 0 ? 'active' : '' }}"
                        aria-current="true" aria-label="Slide {{ loop.index0 }}">
                </button>
            {% endfor %}
        </div>
        <div class="carousel-inner">
            {% for image in monument.images %}
                <div class="carousel-item {% if loop.index0 == 0 %}active{% endif %}">
                    <img class="d-block w-100" src="{{ image.url }}" alt="{{ monument.site }}">
                </div>
            {% endfor %}
        </div>
        <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleDark" data-bs-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleDark" data-bs-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Next</span>
        </button>
    </div>

    <p>{{ monument.site }}</p>
    <p>{{ monument.location }}</p>
    <p>{{ monument.states }}</p>
    <p>{{ monument.region }}</p>
    {# <p>{{ monument.id }}</p> #}
    <p>{{ monument.category }}</p>
    {# <p>{{ monument.criteriaTxt }}</p> #}
    {# <p>{{ monument.danger }}</p> #}
    <p>{{ monument.dateInscribed }}</p>
    {% if monument.extension|length > 0 %}
        <p>
            <a href="{{ monument.extension }}">Test</a>
        </p>
    {% endif %}
    {% if monument.httpUrl|length > 0 %}
        <p>
            <a href="{{ monument.httpUrl }}">Unesco</a>
        </p>
    {% endif %}
    {# <p>{{ monument.idNumber }}</p> #}
    {# <p>{{ monument.imageUrl }}</p> #}
    <p>{{ monument.isoCode }}</p>
    <p>{{ monument.justification }}</p>
    {# <p>{{ monument.latitude }}, {{ monument.longitude }}</p> #}
    <p>{{ monument.revision }}</p>
    <p>{{ monument.secondaryDates }}</p>
    <p>{{ monument.shortDescription|raw }}</p>
    <p>{{ monument.transboundary }}</p>
    {# <p>{{ monument.uniqueNumber }}</p> #}

    <h5 class="border-top pt-2">Commentaires</h5>
    {% if monument.comments|length > 0 %}
        <ul class="list-group">
            {% for comment in monument.comments %}
                <li class="list-group-item">
                    <p class="fw-bold">{{ comment.username }}</p>
                    <p>{{ comment.message }}</p>
                    <p>
                        {% for i in range(1, comment.score) %}
                            <span class="fas fa-star"></span>
                        {% endfor %}
                        {% if comment.score != 5 %}
                            {% for i in range(1, 5 - comment.score) %}
                                <span class="far fa-star"></span>
                            {% endfor %}
                        {% endif %}
                    </p>
                </li>
            {% endfor %}
        </ul>
    {% else %}
        <div class="alert alert-warning" role="alert">
            Aucun commentaire
        </div>
    {% endif %}

    <button type="button" class="btn btn-info w-100" data-bs-toggle="modal" data-bs-target="#exampleModal"
            data-action="leaflet#loadCommentForm" data-monument-id="{{ monument.id }}">
        Ajouter un commentaire
    </button>

</div>

<button class="my-2 btn btn-sm btn-warning w-100" data-action="leaflet#addTravelStep"
        data-leaflet-payload-param='{{ {
            id: monument.id,
            name: monument.site,
            lat: monument.latitude,
            lng: monument.longitude,
        }|json_encode() }}'>
    Ajouter au voyage
</button>
